Bug 1575361 - [abrt] gnome-music: _update_model(): playlistview.py:270:_update_model:AttributeError: 'NoneType' object has no attribute 'get_id'
Summary: [abrt] gnome-music: _update_model(): playlistview.py:270:_update_model:Attrib...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-music
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:42429348c5bdacf5890381220b9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 09:28 UTC by Ashley Rose
Modified: 2019-05-28 20:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:06:51 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (588 bytes, text/plain)
2018-05-06 09:28 UTC, Ashley Rose
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-06 09:28 UTC, Ashley Rose
no flags Details
File: cpuinfo (1.43 KB, text/plain)
2018-05-06 09:28 UTC, Ashley Rose
no flags Details
File: environ (3.58 KB, text/plain)
2018-05-06 09:28 UTC, Ashley Rose
no flags Details
File: mountinfo (5.23 KB, text/plain)
2018-05-06 09:28 UTC, Ashley Rose
no flags Details
File: namespaces (129 bytes, text/plain)
2018-05-06 09:28 UTC, Ashley Rose
no flags Details
File: open_fds (3.06 KB, text/plain)
2018-05-06 09:28 UTC, Ashley Rose
no flags Details

Description Ashley Rose 2018-05-06 09:28:31 UTC
Version-Release number of selected component:
gnome-music-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/bin/gnome-music
crash_function: _update_model
exception_type: AttributeError
executable:     /usr/bin/gnome-music
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.16.6-302.fc28.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
playlistview.py:270:_update_model:AttributeError: 'NoneType' object has no attribute 'get_id'

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/gnomemusic/views/playlistview.py", line 270, in _update_model
    'Playlist', self._current_playlist.get_id()):
AttributeError: 'NoneType' object has no attribute 'get_id'

Local variables in innermost frame:
current_iter: <Gtk.TreeIter object at 0x7f47d21d1e28 (GtkTreeIter at 0x560cfc445f00)>
playlist: <Gtk.ListStore object at 0x7f47d007cea0 (GtkListStore at 0x560cfbb4cd30)>
player: <Player>
self: <PlaylistView>

Comment 1 Ashley Rose 2018-05-06 09:28:36 UTC
Created attachment 1432325 [details]
File: backtrace

Comment 2 Ashley Rose 2018-05-06 09:28:37 UTC
Created attachment 1432326 [details]
File: cgroup

Comment 3 Ashley Rose 2018-05-06 09:28:38 UTC
Created attachment 1432327 [details]
File: cpuinfo

Comment 4 Ashley Rose 2018-05-06 09:28:39 UTC
Created attachment 1432328 [details]
File: environ

Comment 5 Ashley Rose 2018-05-06 09:28:41 UTC
Created attachment 1432329 [details]
File: mountinfo

Comment 6 Ashley Rose 2018-05-06 09:28:42 UTC
Created attachment 1432330 [details]
File: namespaces

Comment 7 Ashley Rose 2018-05-06 09:28:43 UTC
Created attachment 1432331 [details]
File: open_fds

Comment 8 Ben Cotton 2019-05-02 21:50:29 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2019-05-28 20:06:51 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.